Package org.apache.sysds.runtime.instructions.ooc

# Class IndexingOOCInstruction

java.lang.Object
org.apache.sysds.runtime.instructions.Instruction
org.apache.sysds.runtime.instructions.ooc.OOCInstruction
org.apache.sysds.runtime.instructions.ooc.ComputationOOCInstruction
org.apache.sysds.runtime.instructions.ooc.UnaryOOCInstruction
org.apache.sysds.runtime.instructions.ooc.IndexingOOCInstruction

Direct Known Subclasses:
  `MatrixIndexingOOCInstruction`

public abstract class IndexingOOCInstruction extends UnaryOOCInstruction

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`IndexingOOCInstruction.BlockAligner<T>`
`static class`
`IndexingOOCInstruction.Sector<T>`
`static class`
`IndexingOOCInstruction.Sector1<T>`
`static class`
`IndexingOOCInstruction.Sector2Col<T>`
`static class`
`IndexingOOCInstruction.Sector2Row<T>`
`static class`
`IndexingOOCInstruction.Sector4<T>`

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.ooc.OOCInstruction

`OOCInstruction.OOCMatrixBlockTracker, OOCInstruction.OOCType`

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

`Instruction.IType`

## Field Summary

### Fields inherited from class org.apache.sysds.runtime.instructions.ooc.ComputationOOCInstruction

`input1, input2, input3, input4, output`

### Fields inherited from class org.apache.sysds.runtime.instructions.ooc.OOCInstruction

`_callerId, ALLOW_PIPELINING, COMPUTE_EXECUTOR`

### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

`DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OOC_INST_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

## Method Summary

Modifier and Type
Method
Description
`static IndexingOOCInstruction`
`parseInstruction(String str)`
`static IndexingOOCInstruction`
`parseInstruction(IndexingCPInstruction cpInst)`

### Methods inherited from class org.apache.sysds.runtime.instructions.ooc.UnaryOOCInstruction

`processInstruction`

### Methods inherited from class org.apache.sysds.runtime.instructions.ooc.ComputationOOCInstruction

`getOutputVariableName`

### Methods inherited from class org.apache.sysds.runtime.instructions.ooc.OOCInstruction

`getComputeBackpressureThreshold, getComputeInFlight, getGraphString, getOOCInstructionType, getType, postprocessInstruction, preprocessInstruction, requiresLabelUpdate`

### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

`getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, printMe, setInstID, setLocation, setLocation, setLocation, setLocation, toString, updateInstructionThreadID`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### parseInstruction

public static IndexingOOCInstruction parseInstruction(String str)

### parseInstruction

public static IndexingOOCInstruction parseInstruction(IndexingCPInstruction cpInst)